%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%global srcname hl7
%global sum  Python library parsing HL7 v2.x and v3.x messages

Name:           python-%{srcname}
Version:        0.3.3
Release:        1%{?dist}
# append my cmake path before swig is included
Summary:        Python library parsing HL7 v2.x and v3.x messages

License:        BSD
URL:            http://pypi.python.org/pypi/%{srcname}

Source0:        http://pypi.python.org/packages/source/h/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/johnpaulett/python-hl7/master/AUTHORS

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx python-six

%description
python-%{srcname} is a simple library for parsing messages of 
Health Level 7 (HL7) v2.x into Python objects.

%package -n python2-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
python-%{srcname} is a simple library for parsing messages of 
Health Level 7 (HL7) v2.x into Python objects.

%package -n python3-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
python-%{srcname} is a simple library for parsing messages of 
Health Level 7 (HL7) v2.x into Python objects.

%package doc
Summary: Documentation for %{srcname}

%description doc
Documentation files for %{srcname}

%prep
%setup -q  -n %{srcname}-%{version}
rm -rf *egg-info
cp %{SOURCE1} .

%build
%py2_build

# Make docs
# These modes appear to be enough
pushd docs/
    make html
    make singlehtml
    make man
    make htmlhelp
popd

%py3_build

%install
%py2_install
%py3_install

# Delete buildinfo file
find docs/_build/ -name ".buildinfo" -execdir rm -fv '{}' \;
 
%files -n python2-%{srcname}
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%license LICENSE

%files -n python3-%{srcname}
%{_bindir}/mllp_send
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%license LICENSE

%files doc
%doc docs/_build/html docs/_build/htmlhelp docs/_build/singlehtml README.rst AUTHORS
%license LICENSE

%changelog
* Mon Oct 19 2015 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.3.3-1
- Update to latest upstream version
- Build python3 version
- Separate doc subpackage
- mmlp_send is py3 only

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 06 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.0-3
- spec bump for gcc 4.7 rebuild

* Thu Jul 21 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.0-2
- Correct description
- Make additional docs

* Sun Jul 17 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.2.0-1
- Use the original source

* Thu Jul 14 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.1_xml.4-0.1.20110714git97ddbe9
- Initial rpm build
